dofile_once("data/scripts/lib/utilities.lua")

function shot( entity_id )
    dofile("mods/ir/files/stringstore/stringstore.lua")
    dofile("mods/ir/files/stringstore/noitaglobalstore.lua")
    MY_EXTERN_GLOBAL = stringstore.open_store(stringstore.noita.global("MY_EXTERN_GLOBAL"))
	local comps = EntityGetComponent( entity_id, "ProjectileComponent" )
	if( comps ~= nil ) and MY_EXTERN_GLOBAL.subtable ~= nil then

        local processes = MY_EXTERN_GLOBAL.subtable[2]

        local entity = GetUpdatedEntityID()
        local dmc = EntityGetFirstComponentIncludingDisabled(entity, "DamageModelComponent")
        local hp = ComponentGetValue2(dmc, "hp")
    
        local material_inventory = EntityGetFirstComponentIncludingDisabled(entity, "MaterialInventoryComponent")
        if material_inventory == nil then return end
        local count_per_material_type = ComponentGetValue2( material_inventory, "count_per_material_type");
        local thing = 0
        for k,v in pairs(count_per_material_type) do
            if v ~= 0 then --material exists in the inventory
                material_name = CellFactory_GetName(k-1)
                material_amount = v
                local material_properties = processes[material_name]
                if material_properties ~= nil then 
                    local healthiness = material_properties[1]
                    thing = thing + (material_amount*healthiness)
                end
            end
        end   
		for i,comp in ipairs(comps) do
			local damage = ComponentGetValue2( comp, "damage" )
			damage = damage * ((thing*2)+1)
			ComponentSetValue2( comp, "damage", damage )
			
			local dtypes = { "projectile", "explosion", "melee", "ice", "slice", "electricity", "radioactive", "drill", "fire" }
			for a,b in ipairs(dtypes) do
				local v = tonumber(ComponentObjectGetValue( comp, "damage_by_type", b ))
				v = v * ((thing*2)+1)
				ComponentObjectSetValue( comp, "damage_by_type", b, tostring(v) )
			end
			
			local etypes = { "explosion_radius", "ray_energy", "sparks_count_max", "camera_shake", "damage", "material_sparks_count_max", "physics_explosion_power.max", "stains_radius" }
			for a,b in ipairs(etypes) do
				local v = tonumber(ComponentObjectGetValue( comp, "config_explosion", b ))
				v = v * ((thing/2)+1)
				ComponentObjectSetValue( comp, "config_explosion", b, tostring(v) )
			end
		end
	end
end
