local entity = GetUpdatedEntityID()
local target = EntityGetWithTag("player_unit")[1]
local x, y = EntityGetTransform(entity)
local x2, y2 = EntityGetTransform(target)
local counter = ComponentGetValue2(EntityGetFirstComponent(entity, "LuaComponent", "phys_damage_giver"), "mTimesExecuted")
local dmc = EntityGetFirstComponent(target, "DamageModelComponent")

if target and not EntityHasTag(target, "phys_vulnerable") and math.sqrt(((x-x2)^2) + ((y-y2)^2)) < 50 then
    ComponentSetValue2(dmc, "physics_objects_damage", true)
    EntityAddTag(target, "phys_vulnerable")
elseif target and counter == 60 and EntityHasTag(target, "phys_vulnerable") then
    ComponentSetValue2(dmc, "physics_objects_damage", false)
    EntityRemoveTag(target, "phys_vulnerable")
    EntityRemoveComponent(entity, EntityGetFirstComponent(entity, "LuaComponent", "phys_damage_giver"))
end