local full_hp_heart = GetUpdatedEntityID()
local x, y = EntityGetTransform(full_hp_heart)
local sheep = EntityLoad( "data/entities/animals/sheep.xml", x, y )
local post = EntityLoad( "mods/ir/files/post.xml", x+16, y )
local leash = EntityLoad("mods/ir/files/tapewoim/leash.xml", x+20, y+27)

local targ_comp = EntityGetFirstComponent(leash, "VariableStorageComponent", "target")
local sheep_despawn_comp = EntityGetFirstComponent(sheep, "CameraBoundComponent")
ComponentSetValue2(targ_comp, "value_int", sheep)
ComponentSetValue2(sheep_despawn_comp, "freeze_on_distance_kill", true)
EntityAddChild(post, leash)
LoadGameEffectEntityTo( sheep, "data/entities/misc/effect_ragdoll_entitify.xml" )
ConvertMaterialOnAreaInstantly( x-9, y, 53, 20, CellFactory_GetType("templebrick_noedge_static"), CellFactory_GetType("soil"), false, false )
ConvertMaterialOnAreaInstantly( x-9, y, 53, 17, CellFactory_GetType("soil"), CellFactory_GetType("grass"), false, false )
EntityKill(full_hp_heart)